[워드프레스] 아바다에서 ‘Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM’ 오류가 발생하는 경우

참고: 인기 테마인 BE 테마(33%)The 7(35%) 할인 행사를 진행하고 있습니다.
참고

최근 아바다(Avada) 5.0을 설치하거나 업데이트하면 다음과 같은 오류가 발생하는 문제가 나타날 수 있습니다.

Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in /home/XXXXX/public_html/wp-content/themes/Avada/includes/class-avada-product-registration.php on line 167

위의 오류는 아바다 5.0에서 알려진 버그라고 합니다. 우선 최신 아바다 버전으로 업데이트하면 문제가 해결될 수 있습니다.

그래도 문제가 해결되지 않는 경우 현재 사용 중인 PHP 버전을 확인하시기 바랍니다. 주로 5.2 버전에서 문제가 발생하고 간혹 5.4 버전에서도 발생한다고 합니다. 5.6 이상 버전으로 PHP 버전을 업그레이드하면 문제가 해결될 것입니다.

아바다 사양

추가: 아바다의 시스템 요구 사항은 WordPress 4.6 이상, PHP 5.6 이상, MySQL 5.6 이상(2016년 10월 16일 기준)입니다. 사양에 부합하는지 확인하시고 시스템 요구 사항을 충족하고 최신 AVADA 버전을 설치해도 문제가 발생하는 경우 Avada 지원팀에 연락하여 문제 해결을 시도해보시기 바랍니다.

참고로 기존 아바다 사이트를 새로운 5.0대로 업데이트하는 경우 반드시 백업을 받아놓으시기 바랍니다. 경우에 따라 심각한 문제가 발생할 수 있습니다. 아바다가 5.0으로 업데이트되면서 Fusion Builder가 새롭게 바뀌었습니다. 이 때문에 새로운 버전으로 업데이트 시 기존 숏코드 등을 새로운 버전에 맞게 변환하는 과정을 거치게 됩니다. 이 과정에서 오류가 발생할 가능성이 있습니다. 이 경우에는 이전 버전으로 복원해야 합니다.

Avada 5.0으로 업데이트해보니 Fusion Builder가 이제 빠릿하게 작동하는 것을 느낄 수 있었습니다. 이전 버전에서는 퓨전 빌더에서 로딩이 있어서 무겁다는 느낌이 있었는데, 새 버전에서는 그런 느낌이 많이 사라졌습니다.

아바다 5.0에서 도입된 새로운 Fusion Builder

아바다 5.0에서 도입된 새로운 Fusion Builder

워드프레스 테마 중에서 부동의 판매 1위를 유지하고 있는 아바다는 특히 많은 테마 옵션을 제공하여 초보자도 쉽게 사용할 수 있는 장점이 있습니다.

참고:



기부를 통해 이 블로그를 후원하실 수 있습니다.
워드프레스 설치/제작/문제해결이 필요한 경우 서비스(유료)를 요청해주세요.